import http from '@/utils/http'

/**
 * 查询场馆会员卡
 */
export function findCard(id) {
  return http.get('/venue/card/' + id)
}

export function find(id) {
  return http.get('/venue/card/' + id)
}

/**
 * 更新状态
 */
export function updateStatus(ids, status) {
  return http.post('/venue/card/status', { 'id[]': ids, 'status': status })
}

/**
 * 删除场馆会员卡
 */
export function remove(ids) {
  return http.post('/venue/card/delete', { 'id[]': ids })
}

/**
 * 遍历场馆会员卡
 */
export function findVenueCard(id) {
  return http.get('/venue/cards/card', { 'id': id })
}

/**
 * 保存场馆会员卡
 */
export function save(params) {
  return http.post('/venue/card', params)
}

export function findCards() {
  return http.get('/vip/cards')
}
